Bug 3220 - Cataloging Tabs on Log Viewer
Summary: Cataloging Tabs on Log Viewer
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Transaction logs (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-13 10:39 UTC by Nicole C. Engard
Modified: 2017-06-14 22:11 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
catalog log with catalog tabs (51.31 KB, image/png)
2009-05-13 10:39 UTC, Chris Cormack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:07:58 UTC


---- Reported by nengard@gmail.com 2009-05-13 10:39:58 ----

Created an attachment
catalog log with catalog tabs

See my screenshot.  When you're in the log viewer tabs appear on the left as if you are viewing a catalog record - but if you click them you get a 404 error - because you're not on a catalog record, you're in the log viewer.

In short - all of the log viewer pages should have the Tools menu on the left - not the cataloging menu.



---- Additional Comments From gmcharlt@gmail.com 2009-05-13 12:25:15 ----

(In reply to comment #0)
> In short - all of the log viewer pages should have the Tools menu on the left -
> not the cataloging menu.

I disagree.  The log viewer is accessible from the patron details page as well as the tools menu and the bib details page.  In each case the side menu should display and function from its original context - cataloging, patrons, or tools, depend on where the modification logged was accessed from.




---- Additional Comments From nengard@gmail.com 2009-05-13 12:34:18 ----

That works as well :) Just so long as there aren't any broken links ;)



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:07 UTC  ---

This bug was previously known as _bug_ 3220 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3220
Imported an attachment (id=1166)

Actual time not defined. Setting to 0.0
CC member bchurch@ptfs.com does not have an account here
The original submitter of attachment 1166 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-12-21 14:07:56 UTC
> I disagree.  The log viewer is accessible from the patron details page as well
> as the tools menu and the bib details page.  In each case the side menu should
> display and function from its original context - cataloging, patrons, or tools,
> depend on where the modification logged was accessed from.

I agree with this in principle, but as far as I can tell we can't determine with any accuracy when, in the CATALOG context, we have a valid biblionumber to hand to the sidebar menu. It might fine if you click from the detail record, but what if you start from Tools and search for CATALOG object 2151? That could mean biblionumber or itemnumber, but the interface assumes biblionumber, creating possible confusion. Perhaps if the script could identify when it was returning a single hit on a biblionumber?
Comment 2 Paul Poulain 2011-08-02 13:51:24 UTC
I think the option "view catalogue link on the left" will be tricky to achieve = In some cases, we come here from patron page, so we would be happier with patron tabs.

The easiest solution is to have the tools left menu. This features is used rarely, so even if it's not perfect in terms or usability, I think it's acceptable,